Subject: Re: exec'ing scripts
From: Chris Faylor <[email-masked]>
To: Bryan Headley <[email-masked]>
Cc: [email-masked]
Date: Mon, 6 Dec 1999 20:09:35 -0500

On Mon, Dec 06, 1999 at 04:21:22PM -0600, Bryan Headley wrote:
>Chris Faylor wrote:
>
>> On Mon, Dec 06, 1999 at 01:16:32PM -0600, Bryan Headley wrote:
>> >Is there a good rule of thumb to follow when creating scripts for cygwin
>> >1 to run?
>>
>> If you are talking about executing a tcl script then it is likely that
>> it does not support cygwin paths.  That is probably what you're seeing.
>>
>
>Are you thinking of a tcl script that does an "[shell cal]" not knowing where
>'cal' is? In my case, this is a script that has a,
>
>#! /bin/sh
>exec wish
>[tcl-ish things follow]
>
>The script that it executes was added to the tcl path via,
>
>    set auto_path [linsert $auto_path 0 /utils/lib/tkcvs]
>
>So I'm dubious. Plus it's the tcl that ships with cygwin 1 (you might
>assume...) Also, I got B20 to run tkdiff out of the box. So... ???

What I'm saying is that "/utils/lib/tkcvs" will be interpreted as
x:\utils\lib\tkcvs where x: is your current drive.

You may be dubious but tcl/tk does not really support cygwin.  What we
have shipped is pretty much what you get when you build tcl/tk natively
on Windows.

The alternative is to rewrite tcl/tk to use Windows methods for updating
the screen rather than X methods and no one has ever been ambitious enough
to do this.

It is regrettable but it is true.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]